function onBegin()
	disableRetry()
	disableMovement()
	wait(4)
	function playSprite(sprite, duration)
    player.Sprite:Play(sprite, false, false)
    if duration then
        wait(duration)
    end
end
	
	enableMovement()
	enableRetry()
end


function onEnd(A01, wasSkipped)
	if wasSkipped then
		enableMovement()
		enableRetry()
	end
end

